Unusual Whales UnusualWhales API

Greeks

GET https://api.unusualwhales.com/api/stock/{ticker}/greeks

Request

Security: Bearer Auth Authorization: Bearer <token>

Path Parameters

ticker SingleTicker required

A single ticker

Example: AAPL

Query Parameters

date Optional Market Date optional

A trading date in the format of YYYY-MM-DD. This is optional and by default the last trading date.

Example: 2024-01-18
expiry Single expiry date required

A single expiry date in ISO date format.

Example: 2024-02-02

Responses

200 422 500

Response Body 200 OK

call_charm Charm
Example: 9.2
call_delta Delta

The delta of the option trade.

Example: 0.610546281537814
call_gamma Gamma

The gamma of the option trade.

Example: 0.00775013889662635
call_option_symbol Option Contract Symbol

The option symbol of the contract. You can use the following regex to extract underlying ticker, option type, expiry & strike: `^(?<symbol>[\w]*)(?<expiry>(\d{2})(\d{2})(\d{2}))(?<type>[PC])(?<strike>\d{8})$` Keep in mind that the strike needs to be multiplied by 1,000.

call_rho Rho

The rho of the option trade.

Example: 0.2316546330093438
call_theta Theta

The theta of the option trade.

Example: -0.0640155364004474
call_vanna Vanna
Example: -0.9
call_vega Vega

The vega of the option trade.

Example: 0.3140468475903719
call_volatility Implied Volatility

The implied volatility of the option trade.

Example: 0.604347250962543
date General ISO Date

An ISO date.

Example: 2024-01-09
expiry General ISO Date

An ISO date.

Example: 2024-01-09
put_charm Charm
Example: 9.2
put_delta Delta

The delta of the option trade.

Example: 0.610546281537814
put_gamma Gamma

The gamma of the option trade.

Example: 0.00775013889662635
put_option_symbol Option Contract Symbol

The option symbol of the contract. You can use the following regex to extract underlying ticker, option type, expiry & strike: `^(?<symbol>[\w]*)(?<expiry>(\d{2})(\d{2})(\d{2}))(?<type>[PC])(?<strike>\d{8})$` Keep in mind that the strike needs to be multiplied by 1,000.

put_rho Rho

The rho of the option trade.

Example: 0.2316546330093438
put_theta Theta

The theta of the option trade.

Example: -0.0640155364004474
put_vanna Vanna
Example: -0.9
put_vega Vega

The vega of the option trade.

Example: 0.3140468475903719
put_volatility Implied Volatility

The implied volatility of the option trade.

Example: 0.604347250962543
strike Strike

The strike price of an option contract.

Example: 150.0
Try It GET
Path Parameters
Query Parameters

Request Sample
curl -X GET "https://api.unusualwhales.com/api/stock/{ticker}/greeks?expiry=VALUE" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -H "Accept: application/json"
Response Example 200
{
  "data": [
    {
      "call_charm": "9.32",
      "call_delta": "0.5",
      "call_gamma": "0.0051",
      "call_option_symbol": "SPY240105C00480000",
      "call_rho": "0.0321",
      "call_theta": "-0.62",
      "call_vanna": "-0.91",
      "call_vega": "0.15",
      "call_volatility": "0.3",
      "date": "2024-01-01",
      "expiry": "2024-01-05",
      "put_charm": "9.32",
      "put_delta": "-0.51",
      "put_gamma": "0.005",
      "put_option_symbol": "SPY240105P00480000",
      "put_rho": "-0.022",
      "put_theta": "-0.62",
      "put_vanna": "-0.91",
      "put_vega": "0.15",
      "put_volatility": "0.29",
      "strike": "480.0"
    },
    {
      "call_charm": "9.32",
      "call_delta": "0.45",
      "call_gamma": "0.003",
      "call_option_symbol": "SPY240105C00490000",
      "call_rho": "0.0321",
      "call_theta": "-0.62",
      "call_vanna": "-0.91",
      "call_vega": "0.15",
      "call_volatility": "0.33",
      "date": "2024-01-01",
      "expiry": "2024-01-05",
      "put_charm": "9.32",
      "put_delta": "-0.55",
      "put_gamma": "0.007",
      "put_option_symbol": "SPY240105P00490000",
      "put_rho": "-0.022",
      "put_theta": "-0.62",
      "put_vanna": "-0.91",
      "put_vega": "0.15",
      "put_volatility": "0.32",
      "strike": "490.0"
    }
  ]
}